Subject: Restrict Rel and Type Values For Autodiscovery

From: James M Snell <[email-masked]>
Date: Tue, 28 Nov 2006 09:08:09 -0800

http://www.intertwingly.net/wiki/pie/PaceRestrictRelValuesForAutodiscovery
http://www.intertwingly.net/wiki/pie/PaceRestrictTypeValuesForAutodiscovery

While I definitely understand the rationale behind this, it's unlikely
that the spec will actually lead to any change in behavior for the
various implementations.  Also, if memory serves correctly, media types
are inherently case-insensitive. We'd likely be better served to
document that as a best practice, the rel and type values should be
lower case but that many implementations will typically support upper
and mixed case values.

- James

p.s. I also note that the current HTML5 draft contains an editorial note
about needing to say something about the case sensitivity of attribute
values.